ScaleFast error



  • I'm having trouble with ScaleFast. I've updated to 3.3b but it was happening on 3.2b too. Basically most of the time it works but in this one set of UFOs I have it's struggling. Here's the output:

    Traceback (most recent call last):
    ​  File "scaleFast.py", line 1532, in <module>
      File "scaleFast.py", line 387, in __init__
      File "scaleFast.py", line 920, in _selectedFontChanged
      File "/Users/Dave/Library/Application Support/RoboFont/plugins/ScaleFast 2.43.40 pm.roboFontExt/lib/mutatorScaleLib/lib/mutatorScale/utilities/fontUtils.py", line 59, in getRefStems
      File "/Users/Dave/Library/Application Support/RoboFont/plugins/ScaleFast 2.43.40 pm.roboFontExt/lib/mutatorScaleLib/lib/mutatorScale/utilities/fontUtils.py", line 127, in freezeGlyph
      File "/Users/Dave/Library/Application Support/RoboFont/plugins/ScaleFast 2.43.40 pm.roboFontExt/lib/mutatorScaleLib/lib/mutatorScale/utilities/fontUtils.py", line 177, in extractComposites
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/deprecated.py", line 77, in transform
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/base.py", line 466, in transformBy
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/normalizers.py", line 1012, in normalizeTransformationMatrix
    TypeError: Transformation matrices must be tuple instances, not Transform.
    

    Any ideas?
    D


  • admin

    hello @FosterType, thanks for the bug report.

    please upgrade to the latest version of ScaleFast using Mechanic.

    Screen Shot 2019-06-14 at 08.27.04.png

    (this error had already been fixed, but I forgot to change the version number :)



  • upgraded scalefast to 1.0.3 in 3.3b. Now receiving:

    Traceback (most recent call last):
    ​  File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/component.py", line 278, in _drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontTools/pens/pointPen.py", line 205, in addComponent
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontTools/pens/basePen.py", line 177, in addComponent
    TypeError: 'NoneType' object is not subscriptable
    
    During handling of the above exception, another exception occurred:
    
    Traceback (most recent call last):
      File "scaleFast.py", line 1532, in <module>
      File "scaleFast.py", line 387, in __init__
      File "scaleFast.py", line 920, in _selectedFontChanged
      File "/Users/Dave/Library/Application Support/RoboFont/plugins/ScaleFast.roboFontExt/lib/mutatorScale/lib/mutatorScale/utilities/fontUtils.py", line 64, in getRefStems
      File "/Users/Dave/Library/Application Support/RoboFont/plugins/ScaleFast.roboFontExt/lib/mutatorScale/lib/mutatorScale/utilities/fontUtils.py", line 252, in getGlyphBox
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/glyph.py", line 620, in draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/component.py", line 252, in draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/component.py", line 260, in _draw
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/component.py", line 266, in drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontParts/base/component.py", line 280, in _drawPoints
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontTools/pens/pointPen.py", line 205, in addComponent
      File "/Applications/RoboFont.app/Contents/Resources/lib/python3.6/fontTools/pens/basePen.py", line 177, in addComponent
    TypeError: 'NoneType' object is not subscriptable
    


  • Hello there, experiencing the same issue. RF Version 3.3b (build 1906031450) / ScaleFast 1.0.3 / Mac OS 10.14.6